#include "spawn.h"
#include "..\algorithms.h"

#include "stdlib.h"
#include "time.h"

void botInfo::gotHelp(Player *p, Command *c)
{
	// List commands

	if (!*c->final)
	{
		switch (p->access)
		{
		case OP_Duke:
		case OP_Baron:
		case OP_King:
		case OP_Emperor:
		case OP_RockStar:
		case OP_Q:
		case OP_God:
		case OP_Owner:
		case OP_SysOp:
		case OP_SuperModerator:
			{
				sendPrivate(p, "8ball Ext: !reloadsayings");
			}
			//break;
		case OP_Moderator:
			{	// Moderator-level commands
				sendPrivate(p, "8ball Ext: !8ball_on !8ball_off ");
			}
			//break;
		case OP_Limited:
		case OP_Player:
			{	// Player-level commands
				sendPrivate(p, "8ball Ext: !8ball <question> !about");
			}
		}

		return;
	}

	// Specific command help

	switch (p->access)
	{
	case OP_Duke:
	case OP_Baron:
	case OP_King:
	case OP_Emperor:
	case OP_RockStar:
	case OP_Q:
	case OP_God:
	case OP_Owner:
		{	// Owner-level commands
			if (c->checkParam("owner") || c->checkParam("all"))
			{
//				sendPrivate(p, "Ext: ");
			}
		}
	case OP_SysOp:
		{	// SysOp-level commands
			if (c->checkParam("sop") || c->checkParam("all"))
			{
//				sendPrivate(p, "Ext: ");
			}
		}
	case OP_SuperModerator:
		{	// SuperModerator-level commands
			if (c->checkParam("smod") || c->checkParam("all"))
			{
//				sendPrivate(p, "Ext: ");
				if (c->checkParam("reloadsayings"))
				{
					sendPrivate(p, "!reloadsayings - reloads the 8ball.ini file.");
				}
			}
		}
	case OP_Moderator:
		{	// Moderator-level commands
			if (c->checkParam("mod") || c->checkParam("all"))
			{
//				sendPrivate(p, "Ext: ");
				if (c->checkParam("8ball_on"))
				{
				sendPrivate(p, "!8ball_on - turn !8ball on.");
				}
				if (c->checkParam("8ball_off"))
				{
				sendPrivate(p, "!8ball_on - turn !8ball off.");
				}

			}
		}
	case OP_Limited:
		{	// Limited-level commands
		}
	case OP_Player:
		{	// Player-level commands
			if (c->checkParam("about"))
			{
				sendPrivate(p, "!about (query me about my function)");
			}
		}
	}
}

void botInfo::gotCommand(Player *p, Command *c)
{
	if (!p) return;
	if (!c) return;

	switch (p->access)
	{
	case OP_Duke:
	case OP_Baron:
	case OP_King:
	case OP_Emperor:
	case OP_RockStar:
	case OP_Q:
	case OP_God:
	case OP_Owner:
		{	// Owner-level commands
		}
	case OP_SysOp:
		{	// SysOp-level commands
		}
	case OP_SuperModerator:
		{	// SuperModerator-level commands

			if (c->check("reloadsayings"))
			{
				LoadSayings();
				sendPrivate(p, "Attempted to reload the 8ball's saying INI.");
			}
			if (c->check("version"))
			{
				sendPrivate(p, "[name:8ball.dll] [maker:ssCypherJF@yahoo.com] [build:2]");
			}
		}
	case OP_Moderator:
		{	// Moderator-level commands
			if (c->check("8ball_on"))
			{
				ball_on = true;
				sendPrivate(p, "!8ball is online.");
			}
			if (c->check("8ball_off"))
			{
				ball_on = false;
				sendPrivate(p, "!8ball is offline.");
			}
		}
	case OP_Limited:
		{	// Limited-level commands
		}
	case OP_Player:
		{	// Player-level commands
			if (c->check("8ball") && ball_on == true)
			{  
				if (seeded == false) {
				    srand(time(NULL));
					seeded = true;
				}

				int temp = rand()%max_resp;
				sendPublic("*arena " + (String) p->name + " asked, \""+ (String) c->final + "\" 8ball answered, \""+ responce[temp] +"\".");
			}

			if (c->check("about"))
			{
				sendPrivate(p, "I am a 8ball. Ask your question, get an answer.");
			}
		}
	}
}

void botInfo::gotRemoteHelp(char *p, Command *c, Operator_Level l)
{
	// List commands

	if (!*c->final)
	{
		switch (l)
		{
		case OP_Duke:
		case OP_Baron:
		case OP_King:
		case OP_Emperor:
		case OP_RockStar:
		case OP_Q:
		case OP_God:
		case OP_Owner:
			{	// Owner-level commands
			}
		case OP_SysOp:
			{	// SysOp-level commands
			}
		case OP_SuperModerator:
			{	// SuperModerator-level commands
			}
		case OP_Moderator:
			{	// Moderator-level commands
			}
		case OP_Limited:
			{	// Limited-level commands
			}
		case OP_Player:
			{	// Player-level commands
			}
		}

		return;
	}

	// Specific command help

	switch (l)
	{
	case OP_Duke:
	case OP_Baron:
	case OP_King:
	case OP_Emperor:
	case OP_RockStar:
	case OP_Q:
	case OP_God:
	case OP_Owner:
		{	// Owner-level commands
		}
	case OP_SysOp:
		{	// SysOp-level commands
		}
	case OP_SuperModerator:
		{	// SuperModerator-level commands
		}
	case OP_Moderator:
		{	// Moderator-level commands
		}
	case OP_Limited:
		{	// Limited-level commands
		}
	case OP_Player:
		{	// Player-level commands
		}
	}
}

void botInfo::gotRemote(char *p, Command *c, Operator_Level l)
{
	if (!c) return;

	switch (l)
	{
	case OP_Duke:
	case OP_Baron:
	case OP_King:
	case OP_Emperor:
	case OP_RockStar:
	case OP_Q:
	case OP_God:
	case OP_Owner:
		{	// Owner-level commands
		}
	case OP_SysOp:
		{	// SysOp-level commands
		}
	case OP_SuperModerator:
		{	// SuperModerator-level commands
		}
	case OP_Moderator:
		{	// Moderator-level commands
		}
	case OP_Limited:
		{	// Limited-level commands
		}
	case OP_Player:
		{	// Player-level commands
		}
	}
}
